---
search:
  tags:
    - Activity
    - GET
seo:
  description: >-
    Evaluate current and longest streaks over GitHub's trailing 365-day…
    Reference for the GET /v1/users/{username}/streak endpoint in the Kronik
    API.
sidebar:
  label: Get contribution streaks
  badge: GET
title: Get contribution streaks
type: openapi-operation
---
Evaluate current and longest streaks over GitHub's trailing 365-day contribution calendar.

`GET /v1/users/{username}/streak`

**Responses**

- `200` — ContributionStreak
- `400` — InvalidRequestProblem | InvalidCursorProblem
- `404` — UserNotFoundProblem | LatestCommitNotFoundProblem
- `429` — RateLimitedProblem
- `502` — UpstreamFailureProblem
- `503` — ServiceUnavailableProblem

Response example, 200:

```json
{
  "user": {
    "login": "string",
    "url": "http://example.com",
    "avatarUrl": "http://example.com"
  },
  "from": "string",
  "to": "string",
  "currentStreak": 0,
  "longestStreak": 0,
  "active": true
}
```
